Index: resources/views/dashboard/folders/index.blade.php
===================================================================
--- resources/views/dashboard/folders/index.blade.php	(revision 68b1a2231e26aed13907eccb0b4ab6e9afd5b52b)
+++ resources/views/dashboard/folders/index.blade.php	(revision e78295cd8068c5cafb2b4988541373f115ca6443)
@@ -31,9 +31,4 @@
                             <i data-feather="upload-cloud" class="width-15 height-15 mr-2"></i>
                             Recents
-                        </a>
-                        <a href="{{ URL::current()."?sort=important" }}" class="list-group-item d-flex align-items-center">
-                            <i data-feather="star" class="width-15 height-15 mr-2"></i>
-                            Important
-                            <span class="small ml-auto">{{ $countImportant }}</span>
                         </a>
                     </div>
@@ -133,9 +128,7 @@
                         <div class="card">
                             <div class="card-body">
-                                <i class="fa fa-folder fa-2x pr-2" aria-hidden="true">
-                                        </i><span class="card-title" style="font-size: 1.5rem;">{{$folder->name}}</span>
-                                @if($folder->is_important)
-                                    <i class="fa fa-star" style="color:orange;"></i>
-                                @endif
+                                <i class="fa fa-folder fa-2x pr-2" aria-hidden="true"></i>
+                                <span class="card-title" style="font-size: 1.5rem;">{{$folder->name}}</span>
+
                                 <div class="d-flex align-items-center">
                                     <div class="dropdown ml-auto">
@@ -144,22 +137,9 @@
                                         </a>
                                         <div class="dropdown-menu dropdown-menu-right">
-                                            <a href="{{ route("dashboard.folders.files", ["id" => $folder->id]) }}" class="dropdown-item">View Files</a>
-                                            @if(auth()->user()->hasPermission('manage_all_folders'))
-                                            <a href="javascript:void(0)" class="dropdown-item" data-toggle="modal" data-target="#editModal_{{$folder->id}}">Edit</a>
-                                            @endif
+                                            <a href="{{ route("dashboard.folders.files", ["id" => $folder->id]) }}" class="dropdown-item">View files</a>
                                             @if(auth()->user()->hasPermission('download_data'))
                                             <a href="{{ route("dashboard.folders.downloadFolder", ['id' => $folder->id]) }}" class="dropdown-item">Download</a>
                                             @endif
                                             @if(auth()->user()->hasPermission('manage_all_folders'))
-                                                <button class="dropdown-item action-dropdown-item"
-                                                    href="javascript:void(0)" onclick="toggleImportant({{$folder->id}})">
-                                                @if($folder->is_important)
-                                                    Mark as not important
-                                                @else
-                                                    Mark as important
-                                                @endif
-                                            </button>
-                                            @endif
-                                            @if(auth()->user()->hasPermission('manage_all_folders'))
                                             <a href="javascript:void(0)" class="dropdown-item" data-toggle="modal" data-target="#deleteModal_{{$folder->id}}">Delete</a>
                                             @endif
@@ -168,5 +148,6 @@
                                 </div>
                                 <div class="text-muted small mt-1 mb-3">Number of files: {{$folder->files->count()}}</div>
-                                <p class="badge bg-success-bright text-success">{{$folder->arch_id}}</p>
+                                <p class="badge bg-success-bright text-success">Version: {{$folder->version}}</p>
+                                <p>Archive ID: {{$folder->arch_id}}</p>
                                 <p>Note: {{$folder->note}}</p>
                                 <div class="row">
@@ -179,75 +160,5 @@
                             <div class="card-footer">
                                 <small class="text-muted">Last updated: {{ date('d.m.Y H:i', strtotime($folder->updated_at)) }}</small>
-                            </div>
-                        </div>
-                    </div>
-
-                    <form id="toggleImportant_{{ $folder->id }}"
-                          action="{{ route("dashboard.folders.toggleImportant", ["id" => $folder->id]) }}"
-                          method="post">
-                        @csrf
-                        @method("patch")
-                    </form>
-
-                    <div class="modal fade" id="editModal_{{$folder->id}}" tabindex="-1" role="dialog" aria-hidden="true">
-                        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
-                            <div class="modal-content">
-                                <div class="modal-header">
-                                    <h5 class="modal-title" id="exampleModalCenterTitle">Edit folder</h5>
-                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
-                                        <i class="ti-close"></i>
-                                    </button>
-                                </div>
-                                <div class="modal-body">
-                                    <form action="{{ route("dashboard.folders.edit", ["id" => $folder->id]) }}" method="post" accept-charset="utf-8" enctype="multipart/form-data">
-                                        @method("patch")
-                                        @csrf
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Folder</label>
-                                                    <select class="form-control edit_folder_deparment" name="department" required>
-                                                        @foreach ($departments as $department)
-                                                            <option value="{{ $department->id }}" data-dept-code="{{ $department->code }}" {{ old("department", $folder->department->id) == $department->id ? "selected" : "" }}>{{ $department->name }}</option>
-                                                        @endforeach
-                                                    </select>
-                                                </div>
-                                            </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Archive ID</label>
-                                                    <input type="text" name="arch_id" value="{{ old("arch_id", $folder->arch_id) }}" class="form-control" placeholder="Archive ID" required>
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Name</label>
-                                                    <input type="text" name="name" value="{{ old("name", $folder->name) }}" class="form-control" placeholder="Name" minlength="2" maxlength="30" required>
-                                                </div>
-                                            </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Note</label>
-                                                    <textarea class="form-control" name="note" maxlength="80">
-                                                        {{ old("note", $folder->note) }}
-                                                    </textarea>
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <input type="file" class="form-control" id="file-item" name="file_item[]" accept="{{ $fileTypes }}" multiple>
-                                            </div>
-                                        </div>
-                                        <br/>
-                                        <div class="modal-footer">
-                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
-                                            </button>
-                                            <button type="submit" class="btn btn-primary">Save changes</button>
-                                        </div>
-                                    </form>
-                                </div>
+
                             </div>
                         </div>
@@ -334,14 +245,4 @@
                                                 <input type="file" class="form-control" id="file-item" name="file_item[]" accept="{{ $fileTypes }}" multiple>
                                             </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <div class="form-check">
-                                                        <input class="form-check-input" type="checkbox" value=" {{ old('is_important') }} " id="is_important" name="is_important">
-                                                        <label class="form-check-label">
-                                                            Mark as important
-                                                        </label>
-                                                    </div>
-                                                </div>
-                                            </div>
                                         </div>
                                         <br/>
@@ -370,9 +271,3 @@
             @yield('script')
 
-            <script>
-                function toggleImportant(id) {
-                    document.getElementById('toggleImportant_' + id).submit();
-                }
-            </script>
-
 @endsection
